include ../makefile.dep

LIBDIR= ../lib/$(HOST)
BINDIR= ../bin/$(HOST)

INCLUDES      = -I../include

TARGETS = vector extract
all:	$(TARGETS)

LIBS1=	\
	$(LIBDIR)/dbsource$(LIB) \
   $(LIBDIR)/ioserv$(LIB)

vector	 : $(BINDIR)/vector$(EXE)
vectorOBJECTS = vector$(OBJ) drawmap$(OBJ) vecsub$(OBJ) initps$(OBJ) $(LIBDIR)/main_cnt$(OBJ)
$(BINDIR)/vector$(EXE): $(vectorOBJECTS)
	$(CCLINK) -o $@ $(vectorOBJECTS) $(LIBS1) $(LDLIBS)
	$(CHMOD) $(BIN_PERMISSION) $@

extract : $(BINDIR)/extract$(EXE)
extractOBJECTS = extract$(OBJ)
$(BINDIR)/extract$(EXE): $(extractOBJECTS)
	$(CCLINK) -o $@ $(extractOBJECTS) $(LDLIBS)
	$(CHMOD) $(BIN_PERMISSION) $@


clean:
	$(RM) $(DIRT)
#
